Bug 757836 - logconv.pl restarts count on conn=0 instead of conn=1
Summary: logconv.pl restarts count on conn=0 instead of conn=1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 6.4
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.10 781495
TreeView+ depends on / blocked
 
Reported: 2011-11-28 19:51 UTC by Marc Sauton
Modified: 2013-02-21 08:16 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Previously, the logconv.pl script used a connection number equal to 0 as a restart point. Consequence: logconv.pl reported inaccurate restart counts Fix: 389 DS uses conn=1 as the restart point Result: accurate restart stats
Clone Of:
: 781495 (view as bug list)
Environment:
Last Closed: 2013-02-21 08:16:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Marc Sauton 2011-11-28 19:51:44 UTC
Description of problem:

It seem like the first connection is always conn=1, not conn=0 as expected in the /usr/bin/logconv.pl tool at line 1151:

if (m/ conn=0 fd=/){$restarts++}

so the tool misses the restarts in the report:
----------- Access Log Output ------------

Restarts:                     0


Version-Release number of selected component (if applicable):

RHDS 8.2 and

        389-Directory/1.2.9.13 B2011.281.321
        ca1.example.com:389 (/etc/dirsrv/slapd-ca1)

[19/Oct/2011:18:59:14 -0400] conn=1 fd=64 slot=64 connection from ::1 to ::1


How reproducible:
always

Steps to Reproduce:
1. grep conn=0 /var/log/dirsrv/access*
2. grep -A 4 389-D /var/log/dirsrv/slapd-ca1/access*
3. logconv.pl -V ./access > ./access.logconv.pl.txt

  
Actual results:
----------- Access Log Output ------------

Restarts:                     0


Expected results:


Additional info:

Comment 1 Rich Megginson 2012-01-09 16:16:47 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/177

Comment 2 Rich Megginson 2012-01-10 18:00:39 UTC
marking as screened because it has been cloned upstream

Comment 5 Jenny Severance 2012-08-28 13:21:44 UTC
Test coverage :: logconv.sh (logconv01)

Comment 7 Ján Rusnačko 2012-11-01 13:35:53 UTC
[jrusnack@dstet 6.0]$ grep "conn=0" /var/log/dirsrv/slapd-dstet/access
[jrusnack@dstet 6.0]$ echo $?
1

[jrusnack@dstet 6.0]$ rpm -qa | grep 389
389-ds-base-1.2.11.15-2.el6.x86_64

Verified.

Comment 9 errata-xmlrpc 2013-02-21 08:16:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.